Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class BuildFacade

    java.lang.Object
      com.pmease.quickbuild.model.BuildFacade

All Implemented Interfaces:
  java.io.Serializable

public class BuildFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for Build. Build is generated through running of a build configuration. The purpose of QuickBuild is to define different build configurations and generate desired builds.

See Also:
  Serialized Form

Constructor Summary
`BuildFacade()`

Method Summary
`java.lang.Long` | `getConfiguration()` OGNL: Get build configuration which this build belongs to..
`java.util.Date` | `getEndDate()` OGNL: Get the date when this build is finished
`int` | `getEntityVersion()`
`java.lang.Long` | `getId()` Get identifer of this object.
`java.lang.String` | `getLabel()` OGNL: Get label for this build.
`java.util.Date` | `getStartDate()` OGNL: Get the date when this build is started
`java.lang.String` | `getStatus()` OGNL: Get status of this build
`java.lang.String` | `getVersion()` OGNL: Get version of this build configuration.
`void` | `setConfiguration(java.lang.Long configuration)`
`void` | `setEndDate(java.util.Date endDate)`
`void` | `setEntityVersion(int entityVersion)`
`void` | `setId(java.lang.Long id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setStartDate(java.util.Date startDate)`
`void` | `setStatus(java.lang.String status)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildFacade

    public BuildFacade()

Method Detail

### getVersion

    public java.lang.String getVersion()

  OGNL: Get version of this build configuration.

### setVersion

    public void setVersion(java.lang.String version)

### getConfiguration

    public java.lang.Long getConfiguration()

  OGNL: Get build configuration which this build belongs to..

### setConfiguration

    public void setConfiguration(java.lang.Long configuration)

### getStatus

    public java.lang.String getStatus()

  OGNL: Get status of this build

### setStatus

    public void setStatus(java.lang.String status)

### getStartDate

    public java.util.Date getStartDate()

  OGNL: Get the date when this build is started

### setStartDate

    public void setStartDate(java.util.Date startDate)

### getEndDate

    public java.util.Date getEndDate()

  OGNL: Get the date when this build is finished

### setEndDate

    public void setEndDate(java.util.Date endDate)

### getLabel

    public java.lang.String getLabel()

  OGNL: Get label for this build. If blank, repositories are not labeled for this build.

### setLabel

    public void setLabel(java.lang.String label)

### getId

    public java.lang.Long getId()

  Get identifer of this object.

### setId

    public void setId(java.lang.Long id)

### getEntityVersion

    public int getEntityVersion()

### setEntityVersion

    public void setEntityVersion(int entityVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.